#include <stdio.h>
#include <stdlib.h>
#include <getopt.h>

#include "tstore.h"
#include "config.h"
#include "cmdline-parser.h"

static const char *tsp_user = TS_DB_USER;
static const char *tsp_pw = TS_DB_PASSWORD;
static const char *tsp_db = TS_DB_DATABASE;
static const char *tsp_host = "localhost";

void tsp_set_db(const char *db)
{
	tsp_db = db;
}

const char *tsp_get_user()
{
	return tsp_user;
}

const char *tsp_get_pw()
{
	return tsp_pw;
}

const char *tsp_get_db()
{
	return tsp_db;
}

const char *tsp_get_host()
{
	return tsp_host;
}

int tsp_handle_option(int opt, const char *arg)
{
	switch (opt) {
		case 'u':
			tsp_user = arg;
			return 1;
		case 'p':
			tsp_pw = arg;
			return 1;
		case 'd':
			tsp_db = arg;
			return 1;
		case 'r':
			tsp_host = arg;
			return 1;
		default:
			return 0;
	}

	return 0;
}

ts_connection *tsp_connect()
{
	ts_connection *ret = tsp_try_connect();

	if (!ret) {
		fprintf(stderr, "Failed to connect to knowledgebase\n");
		exit(1);
	}

	return ret;
}

ts_connection *tsp_try_connect()
{
	return ts_connect(tsp_host, tsp_db, tsp_user, tsp_pw);
}
