#ifndef HASH_H
#define HASH_H

#include <stdint.h>

#include "config.h"
#include "tstore.h"

ts_hash ts_hash_uri(const char *str);
ts_hash ts_hash_literal(const char *str, uint32_t dt, uint32_t lang);

#ifndef ENABLE_QUADS
#define TS_ID(c, h) ts_symbol_id(c, h)
#else
#define TS_ID(c, h) h
#endif

void ts_symbol_cache_id(ts_hash hash, uint32_t id);
ts_hash ts_symbol_id(ts_connection *c, ts_hash hash);

int ts_ensure_datatype(ts_connection *c, const char *dt);
int ts_ensure_language(ts_connection *c, const char *lang);
char *ts_get_language(ts_connection *c, int lang_id);
char *ts_get_datatype(ts_connection *c, int lang_id);

char *ts_get_resource(ts_connection *c, ts_hash hash);

#endif
